package roseindia;

import org.jdom.input.SAXBuilder;
import org.jdom.Document;
import org.jdom.Element;
import org.jdom.output.XMLOutputter;
import org.jdom.output.Format;
import java.io.ByteArrayInputStream;
import java.util.List;

public class AddChild {
	public static void main(String[] args) {
		String XmlFile = "<Company>" + "<Employee name=\"satya\" age=\"25\"/> "
		+ "<Employee  name=\"bharat\" age=\"24\"/>" + "</Company>";
		SAXBuilder builder = new SAXBuilder();
		try {
			Document document = builder.build(new ByteArrayInputStream(XmlFile
					.getBytes()));
			document.getRootElement().addContent(
					new Element("Employee").setAttribute("key", "056"));
			List<Element> childList = document.getRootElement().getChildren();
			childList.add(new Element("CompInfo").setAttribute("name",
			"Roseindia.net"));
			childList.remove(1);
			XMLOutputter outputter = new XMLOutputter(Format.getPrettyFormat());
			outputter.output(document, System.out);
		} catch (Exception e) {
			System.out.println(e);
		}
	}
}